FinWise API
SupportChangelog

Update an account

Update fields on an account. Omitted fields are left unchanged.

Request body

namenullable string
Account name.
displayNamenullable string
Display name.
typenullable enum
One of cash, bank, creditCard, savings, investment, crypto, vehicle, property, retirementFund, rewards, loan, other.
accountGroupIdnullable string
Move the account into a group.
PATCH/accounts/94d2f962-d4e3-4c99-ab47-8c941cea012a
curl https://api.finwiseapp.io/accounts/94d2f962-d4e3-4c99-ab47-8c941cea012a \
-X PATCH \
-H "Authorization: Bearer fw_..." \
-H "Content-Type: application/json" \
-d '{"displayName":"Travel card"}'
const response = await fetch('https://api.finwiseapp.io/accounts/94d2f962-d4e3-4c99-ab47-8c941cea012a', {
method: 'PATCH',
headers: {
Authorization: 'Bearer fw_...',
'Content-Type': 'application/json',
},
body: JSON.stringify({
"displayName": "Travel card"
}),
})
const data = await response.json()
Response
{
"id": "94d2f962-d4e3-4c99-ab47-8c941cea012a",
"createdAt": "2026-03-14T09:15:46.724Z",
"updatedAt": "2026-03-14T09:15:46.724Z",
"userId": "f472696c-47ac-4873-98cf-2a1069a1cf45",
"name": "Chase Sapphire",
"displayName": "Travel card",
"friendlyName": null,
"accountNumber": "••••4291",
"currentBalance": {
"amount": -3432,
"currencyCode": "USD"
},
"availableBalance": {
"amount": 1568,
"currencyCode": "USD"
},
"limitAmount": null,
"currencyOverride": null,
"type": "creditCard",
"subType": "credit card",
"archivedAt": null,
"isLinked": true,
"institutionId": "b8cb6f04-2f2b-440a-a55f-6708ebb57130",
"institutionUserId": null,
"accountGroupId": "c1a0c0a0-1b2c-4d5e-8f90-1234567890ab",
"emoji": "💳",
"logoBase64": null,
"data": {
"config": {
"excludeFromBudget": false,
"excludeFromNetWorth": false,
"excludeTransactions": false,
"invertAmounts": false
}
}
}